// @ts-nocheck
import {isFunction} from '../isFunction'
import {isObject} from '../isObject'
/**
 * 檢查壹個值是否為 Promise 類型
 * @param val 要檢查的值
 * @returns 如果值的類型是 Promise 類型，則返回 true；否則返回 false
 */
// #ifndef APP-ANDROID
export const isPromise = <T = any>(val: unknown): val is Promise<T> => {
  // 使用 isObject 函數判斷值是否為對象類型
  // 使用 isFunction 函數判斷值是否具有 then 方法和 catch 方法
  return isObject(val) && isFunction(val.then) && isFunction(val.catch);
};
// #endif


// #ifdef APP-ANDROID
export const isPromise = (val: any): boolean => {
  return val instanceof Promise<unknown>
};
// #endif